<?php
ini_set("memory_limit", "1024M");
ini_set("max_execution_time", 1800);

require_once("inc/protecao-admin.php");

// Proteção contra acesso direto
if(!preg_match("/".str_replace("http://","",str_replace("www.","",$_SERVER['HTTP_HOST']))."/i",$_SERVER['HTTP_REFERER'])) {
die("<span class='texto_status_erro'>Atenção! Acesso não autorizado, favor entrar em contato com nosso atendimento para maiores informações!</span>");
}

// Proteção contra usuario não logados
if(empty($_SESSION["code_user_logged"])) {
die("<span class='texto_status_erro'>0x005 - Atenção! Acesso não autorizado, favor entrar em contato com nosso atendimento para maiores informações!</span>");
}

if(empty($_POST["codigo_revenda"]) or empty($_POST["nome"]) or empty($_POST["email"]) or empty($_POST["streamings"]) or empty($_POST["espectadores"]) or empty($_POST["bitrate"]) or empty($_POST["espaco"])) {
$_SESSION["status_acao"] = "<div class='alert alert-warning text-center' role='alert'>".lang_info_campos_vazios."</div>";
header("Location: ".$_SERVER['HTTP_REFERER']."");
exit();
}

$dados_revenda_atual = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM revendas WHERE codigo = '".$_POST["codigo_revenda"]."'"));

$lives = ($_POST["lives"]) ? "sim" : "nao";

mysqli_query($conexao,"Update revendas set id = '".$_POST["id"]."', nome = '".$_POST["nome"]."', email = '".$_POST["email"]."', subrevendas = '".$_POST["subrevendas"]."', streamings = '".$_POST["streamings"]."', espectadores = '".$_POST["espectadores"]."', bitrate = '".$_POST["bitrate"]."', espaco = '".$_POST["espaco"]."', dominio_padrao = '".$_POST["dominio_padrao"]."', lives = '".$lives."', codigo_servidor_privado = '".$_POST["codigo_servidor_privado"]."' where codigo = '".$_POST["codigo_revenda"]."'");

if($_POST["senha"]) {
mysqli_query($conexao,"Update revendas set senha = PASSWORD('".$_POST["senha"]."') where codigo = '".$dados_revenda_atual["codigo"]."'");
}

// Altera o bitrate dos streamings de acordo com o novo bitrate caso tenha sido alterado
if($dados_revenda_atual["bitrate"] != $_POST["bitrate"]) {

	$sql_stm = mysqli_query($conexao,"SELECT * FROM streamings where codigo_cliente = '".$dados_revenda_atual["codigo"]."'");
	while ($dados_stm = mysqli_fetch_array($sql_stm)) {

		if($dados_stm["bitrate"] > $_POST["bitrate"]) {
			mysqli_query($conexao,"Update streamings set bitrate = '".$_POST["bitrate"]."' where codigo = '".$dados_stm["codigo"]."'") or die(mysqli_error($conexao));

			$aplicacao_xml = $dados_stm["aplicacao"];

		    if($dados_stm["autenticar_live"] == "nao") {

		    if($dados_stm["aplicacao"] == "tvstation" || $dados_stm["aplicacao"] == "live") {
		    $aplicacao_xml = $dados_stm["aplicacao"].'-sem-login';
		    }

		    }
			
			// Conexão SSH
			$ssh = new SSH();
			$ssh->conectar($dados_servidor["ip"],$dados_servidor["porta_ssh"]);
			$ssh->autenticar("root",code_decode($dados_servidor["senha"],"D"));
			
			$ssh->executar("/usr/local/WowzaMediaServer/sincronizar ".$dados_stm["login"]." '".$dados_stm["senha_transmissao"]."' ".$dados_stm["bitrate"]." ".$dados_stm["espectadores"]." ".$aplicacao."");
		}
	}
}

// Cria o sessão do status das ações executadas e redireciona.
$_SESSION["status_acao"] = "<div class='alert alert-success text-center' role='alert'>".lang_info_pagina_configurar_revenda_resultado_ok."</div>";

header("Location: /admin/admin-revendas");
?>